Bug 1007353 - SELinux is preventing /usr/lib64/gems/ruby/passenger-3.0.21/agents/apache2/PassengerHelperAgent from 'getattr' accesses on the file /etc/puppet/rack/tmp/restart.txt.
SELinux is preventing /usr/lib64/gems/ruby/passenger-3.0.21/agents/apache2/Pa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:d52847ec13ce1cd5b0c0e5d3aa4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 06:13 EDT by Sven Kieske
Modified: 2013-09-22 20:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:34:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven Kieske 2013-09-12 06:13:20 EDT
Description of problem:
SELinux is preventing /usr/lib64/gems/ruby/passenger-3.0.21/agents/apache2/PassengerHelperAgent from 'getattr' accesses on the file /etc/puppet/rack/tmp/restart.txt.

*****  Plugin catchall (100. confidence) suggests  ***************************

If sie denken, dass es PassengerHelperAgent standardmässig erlaubt sein sollte, getattr Zugriff auf restart.txt file zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
# grep PassengerHelper /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:passenger_t:s0
Target Context                unconfined_u:object_r:puppet_etc_t:s0
Target Objects                /etc/puppet/rack/tmp/restart.txt [ file ]
Source                        PassengerHelper
Source Path                   /usr/lib64/gems/ruby/passenger-3.0.21/agents/apach
                              e2/PassengerHelperAgent
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           rubygem-passenger-native-3.0.21-4.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.2.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.10-200.fc19.x86_64 #1 SMP Thu
                              Aug 29 19:05:45 UTC 2013 x86_64 x86_64
Alert Count                   363
First Seen                    2013-09-04 16:31:32 CEST
Last Seen                     2013-09-12 12:09:16 CEST
Local ID                      e0e162f8-99ef-4af0-a6c2-60fcfacdb05a

Raw Audit Messages
type=AVC msg=audit(1378980556.921:18759): avc:  denied  { getattr } for  pid=18997 comm="PassengerHelper" path="/etc/puppet/rack/tmp/restart.txt" dev="dm-1" ino=6032412 scontext=system_u:system_r:passenger_t:s0 tcontext=unconfined_u:object_r:puppet_etc_t:s0 tclass=file


type=SYSCALL msg=audit(1378980556.921:18759): arch=x86_64 syscall=stat success=yes exit=0 a0=7faa48000d88 a1=7faa48001bb0 a2=7faa48001bb0 a3=10 items=0 ppid=17011 pid=18997 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=PassengerHelper exe=/usr/lib64/gems/ruby/passenger-3.0.21/agents/apache2/PassengerHelperAgent subj=system_u:system_r:passenger_t:s0 key=(null)

Hash: PassengerHelper,passenger_t,puppet_etc_t,file,getattr

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.10-200.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-09-12 07:54:48 EDT
commit 2f5064e694324ab5931b0606c929d8c44f9c9990
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Thu Sep 12 13:53:37 2013 +0200

    Fix puppet_domtrans_master() interface to make passenger working correctly if it wants to read puppet config files
Comment 2 Fedora Update System 2013-09-16 13:15:40 EDT
selinux-policy-3.12.1-74.4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.4.fc19
Comment 3 Fedora Update System 2013-09-18 09:02:28 EDT
Package selinux-policy-3.12.1-74.4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17007/selinux-policy-3.12.1-74.4.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-22 20:34:03 EDT
selinux-policy-3.12.1-74.4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.